# $Revision: 1.16 $, $Date: 2007-02-12 22:09:23 $
Summary:	MP3 input plugin for XMMS using MAD library
Summary(pl.UTF-8):	Wtyczka wejściowa dla XMMS-a odtwarzająca pliki MP3 z użyciem bilioteki MAD
Name:		xmms-input-mad
Version:	0.0.9
Release:	5
License:	GPL
Group:		X11/Applications/Sound
Source0:	xmms-mad-%{version}.tar.gz
# Source0-md5:	6f969da20017514c6ebbcf0acd0b84f2
Patch0:		%{name}-no-configure.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	libmad-devel
BuildRequires:	rpmbuild(macros) >= 1.125
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xmms-mad is an input plugin for XMMS that uses libmad to decode MPEG
layer 1/2/3 files and streams. It is not as configurable as mpg123
plugin, however it handles some evil MP3 files better.

%description -l pl.UTF-8
xmms-mad jest wtyczką wejściową dla XMMS-a używającą libmad do
dekodowania plików i strumieni MPEG layer 1/2/3. Nie jest ona tak
konfigurowalna jak konkurencja (mpg123), jednak lepiej radzi sobie z
niektórymi uszkodzonymi plikami MP3.

%prep
%setup -q -n xmms-mad-%{version}
%patch0 -p1

%build
rm -f config/missing
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{xmms_input_plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{xmms_input_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-mad.spec,v $
Revision 1.16  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2004/10/30 10:55:52  paladine
- unification, capitalization, better desc

Revision 1.13  2004/10/28 10:49:17  paladine
- "MP3" unification

Revision 1.12  2004/04/14 12:21:31  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.11  2003/11/06 21:58:46  krzak
- BR: mad-devel -> libmad-devel

Revision 1.10  2003/08/04 21:24:59  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.9  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:28:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/14 04:48:51  kloczek
- release 3: install plugin in system avalailbe xmms plugin depending path.

Revision 1.6  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.5  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.4  2002/10/10 06:24:31  kloczek
- release 2.

Revision 1.3  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.2  2002/10/09 10:09:20  qboosh
- BR: libtool

Revision 1.1  2002/08/06 09:57:38  malekith
- initial
- sorry for no source URL -- address it should be under doesn't work; I took
  it from NetBSD mirror
